@import "../../../shared/scss/color.scss";

.records {
  background-color: $background-color;
  width: 100%;
  padding: 20px 20px 10px 20px;
  border-radius: 7px;
  min-height: 300px;
  position: relative;
  div {
    margin-bottom: 30px;
    &:first-child,
    &:nth-child(2) {
      overflow: auto;
      width: 100%;
    }
    table {
      width: 700px;
      margin: 10px 30px 15px 15px;
      border-radius: 7px;
      border: 1px solid #cccccc;
      border-spacing: 0;
      box-shadow: 1px 1px 7px #cccccc;
      th:first-child {
        border-radius: 0 7px 0 0;
      }

      th:last-child {
        border-radius: 7px 0 0 0;
      }

      td:last-child,
      th:last-child {
        border-left: none;
      }

      th {
        font-size: 14px;
        font-weight: bold;
        color: #333333;
        text-align: right;
        padding: 7px 10px;
        background-color: #dddddd;
        border-top: none;
        border-left: 1px solid #cccccc;
        padding: 10px;
      }
      td {
        font-size: 13px;
        color: #555555;
        padding: 7px 10px;
        border-left: 1px solid #cccccc;
        border-top: 1px solid #cccccc;
        padding: 10px;
      }
    }
    p {
      font-size: 16px;
      font-weight: 400;
      color: #222222;
      margin-bottom: 15px;
    }
    &:last-child {
      margin-bottom: 0;
      div {
        padding: 10px 30px 15px 15px;
        font-size: 14px;
        line-height: 2;
        color: $black-color;
      }
    }
  }
}

.not-found {
  position: absolute;
  top: 50%;
  right: 50%;
  transform: translate(50%, -50%);
  text-align: center;
  width: 100%;
  img {
    width: 100px;
    height: 100px;
    display: block;
    margin: 0 auto;
  }
  p {
    width: 100%;
    display: block;
    color: #999999;
  }
}

.content-loader {
  width: 100%;
  height: 100%;
  min-height: 300px;
  position: absolute;
  top: 0;
  left: 0;
  background-color: rgba($color: #ffffff, $alpha: 1);
  z-index: 999999;
  transition: 0.5s all;
  border-radius: 7px;
}
